# classes/phing/BuildListener.php

Interface for build listeners.

Classes that implement a listener must extend this class and (faux)implement all methods that are decleard as dummies below.

author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing
see
  \BuildEvent
see
  \Project::addBuildListener()
version
  $Revision: 526 $

## \BuildListener
jump to top

Interface for build listeners.

Classes that implement a listener must extend this class and (faux)implement all methods that are decleard as dummies below.

see
  \BuildEvent
see
  \Project::addBuildListener()
author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing
version
  $Revision: 526 $

### Methods

`buildFinished( \BuildEvent $event ) :`
Fired after the last target has finished.
Parameters

Name | Type | Description
--- | --- | ---
$event | \BuildEvent | The BuildEvent

Details

see
  \BuildEvent::getException()

`buildStarted( \BuildEvent $event ) :`
Fired before any targets are started.
Parameters

Name | Type | Description
--- | --- | ---
$event | \BuildEvent | The BuildEvent

`messageLogged( $event ) :`
Fired whenever a message is logged.

@param BuildEvent The BuildEvent

Parameters

Name | Type | Description
--- | --- | ---
$event |  |

Details

see
  \BuildEvent::getMessage()

`targetFinished( \BuildEvent $event ) :`
Fired when a target has finished.
Parameters

Name | Type | Description
--- | --- | ---
$event | \BuildEvent | The BuildEvent

Details

see
  \BuildEvent#getException()

`targetStarted( \BuildEvent $event ) :`
Fired when a target is started.
Parameters

Name | Type | Description
--- | --- | ---
$event | \BuildEvent | The BuildEvent

Details

see
  \BuildEvent::getTarget()

`taskFinished( $event ) :`
Fired when a task has finished.

@param BuildEvent The BuildEvent

Parameters

Name | Type | Description
--- | --- | ---
$event |  |

Details

see
  \BuildEvent::getException()

`taskStarted( \BuildEvent $event ) :`
Fired when a task is started.
Parameters

Name | Type | Description
--- | --- | ---
$event | \BuildEvent | The BuildEvent

Details

see
  \BuildEvent::getTask()

Documentation was generated by DocBlox 0.13.1.